<?php get_header(); ?>



<?
$terms = get_terms( 'type', [
	'hide_empty' => true,
] );
if ( $terms ):
	?>
    <section style="    margin-top: 15px;">
        <div class="container">
            <nav class="nav_menu_main">
                <div class="nav_menu">
                    <ul>
						<?
						$p = get_terms( 'soft', [
							'hide_empty' => true,
						] );
						if ( $p ):
							?>
                            <li>
                                <a href="javascript:;">Провайдеры </a>
                                <ul class="nav_menu_drop">
									<?
									foreach ( $p as $p_item ):
										$icon = carbon_get_term_meta( $p_item->term_id, 'icon' );
										if ( $icon ) {
											$icon_src = wp_get_attachment_url( $icon );
										}
										?>
                                        <li><a href="<? echo get_term_link( $p_item->term_id, 'soft' ) ?>">
												<? if ( $icon_src ): ?>
                                                    <img src="<? echo $icon_src; ?>" alt="svg">
												<? endif; ?>
												<? echo $p_item->name ?> </a></li>
									<? endforeach;
									?>
                                </ul>
                            </li>
						<? endif; ?>
						<?
						foreach ( $terms as $item ):

							?>
                            <li>
                                <a href="<? echo get_term_link( $item->term_id, 'type' ) ?>"><? echo $item->name; ?></a>
                            </li>
						<? endforeach; ?>
                    </ul>
                </div>
        </div>
    </section>
<?php endif; ?>

<section>
    <div class="container">
        <div class="games_vegas">
            <div class="games_vegas_main">
				<?
				global $wp_query;
				$per_page_global = carbon_get_theme_option( 'slot_count' );
				if ( $per_page_global ) {
					$perpage = $per_page_global;
				} else {
					$perpage = 18;
				}
				$args = array_merge( $wp_query->query_vars, [ 'posts_per_page' => $perpage ] );
				query_posts( $args );
				if ( have_posts() ):
					while ( have_posts() ): the_post();
						get_template_part( 'loop/slot_item' );
					endwhile;
				else: ?>
					<?php echo __( "Slots not found!", "jgambling" ) ?>
				<?php endif; ?>
            </div>
			<?php if ( $wp_query->max_num_pages > 1 ) : ?>
                <script>
                    var ajaxurl = '<?php echo site_url() ?>/wp-admin/admin-ajax.php';
                    var posts = '<?php echo serialize( $wp_query->query_vars ); ?>';
                    var current_page = <?php echo ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1; ?>;
                    var max_pages = '<?php echo $wp_query->max_num_pages; ?>';
                </script>
                <div class="loadmore">
                    <a href="#">Загрузить еще</a>
                </div>
			<?php endif; ?>

        </div>
</section>




<section id="vegas_content">
    <div class="container">
        <div class="vegas_content">
            <h1><? echo single_cat_title() ?></h1>
	        <? $description = term_description();
	        if ( $description ):
		        echo apply_filters( 'the_content', $description );
	        endif; ?>
        </div>
    </div>
</section>

<?php get_footer(); ?>
