<?php
/*
  *
  * Template name: Главная
  * */
get_header();
?>


<section>
    <section>
        <div class="container">
            <div class="pages_about_jackpot">
                <div class="pages_jackpot_block">
					<? if ( carbon_get_theme_option( 'v_jackpot' ) ): ?>
                        <a href="<? echo $all_links; ?>" rel="nofollow" target="_blank">
                            <strong>VEGAS JACKPOT</strong>
                            <img src="<? echo get_template_directory_uri(); ?>/assets/img/jp3.svg" alt="svg">
                            <div class="pages_jackpot_price">
                                <span><? echo carbon_get_theme_option( 'v_jackpot' ); ?></span>
                                <span>USD</span>
                            </div>
                        </a>
					<? endif; ?>
					<? if ( carbon_get_theme_option( 'c_jackpot' ) ): ?>
                        <a href="<? echo $all_links; ?>" rel="nofollow" target="_blank">
                            <strong>CHICAGO JACKPOT</strong>

                            <img src="<? echo get_template_directory_uri(); ?>/assets/img/jp2.svg" alt="svg">
                            <div class="pages_jackpot_price">
                                <span><? echo carbon_get_theme_option( 'c_jackpot' ); ?></span>
                                <span>USD</span>
                            </div>
                        </a>
					<? endif; ?>
					<? if ( carbon_get_theme_option( 'n_jackpot' ) ): ?>
                        <a href="<? echo $all_links; ?>" rel="nofollow" target="_blank">
                            <strong>NEVADA JACKPOT</strong>

                            <img src="<? echo get_template_directory_uri(); ?>/assets/img/jp1.svg" alt="svg">
                            <div class="pages_jackpot_price">
                                <span><? echo carbon_get_theme_option( 'n_jackpot' ); ?></span>
                                <span>USD</span>
                            </div>
                        </a>
					<? endif; ?>
                </div>
                <div class="pages_jackpot_slider">
					<?
					$slider        = carbon_get_theme_option( 'slider' );
					foreach ( $slider as $slider_item ):
						$image_att = $slider_item['image'];
						$link      = $slider_item['link'];
						$image_src = wp_get_attachment_url( $image_att );
						?>

                        <div class="pages_jackpot_slider_box">
                            <div class="pages_jackpot_slider_img">
                                <a href="<? echo $link; ?>" target="_blank" rel="nofollow"><img
                                            src="<? echo $image_src; ?>"
                                            alt="jpg"></a>
                            </div>
                        </div>
					<? endforeach; ?>

                </div>
                <div class="pages_jackpot_winners">
                    <h3>ПОБЕДИТЕЛИ</h3>
                    <div class="basket-block__pages__block">
                        <div class="reviews-min-text-hrefs basket-block__pages__hrefs">
                            <ul>
                                <li class="click-reviews country-city-min active-href" data-catalog="last">
                                    ПОСЛЕДНИЕ
                                </li>
                                <li class="click-reviews country-city-min" data-catalog="jackpot">
                                    ДЖЕКПОТ
                                </li>
                            </ul>
                        </div>
                        <div class="reviews-min-info">
							<?
							$p_last = carbon_get_theme_option( 'p_last' );
							if ( $p_last ):
								?>
                                <div class="reviews-min-block-js" data-catalog="last">
                                    <div class="basket-block__item">
										<? foreach ( $p_last as $item ): ?>
                                            <a href="<? echo $all_links; ?>" target="_blank" rel="nofollow">
                                                <div class="basket-block__icon">
                                                    <img src="<? echo aq_resize( wp_get_attachment_url( $item['image'] ), 40, 40, true, true, true ); ?>"
                                                         alt="png">
                                                    <div class="basket-block__name">
                                                        <strong><? echo $item['name']; ?></strong>
                                                        <p><? echo $item['mail']; ?></p>
                                                    </div>
                                                </div>
                                                <div class="basket-block__price">
                                                    <span><? echo $item['summa']; ?></span>
                                                </div>
                                            </a>
										<? endforeach; ?>
                                    </div>
                                </div>
							<? endif; ?>

							<?
							$p_jackpot = carbon_get_theme_option( 'p_jackpot' );
							if ( $p_jackpot ):
								?>
                                <div class="reviews-min-block-js" data-catalog="jackpot">
                                    <div class="basket-block__item">
										<? foreach ( $p_jackpot as $item ): ?>
                                            <a href="<? echo $all_links; ?>" target="_blank" rel="nofollow">
                                                <div class="basket-block__icon">
                                                    <img src="<? echo aq_resize( wp_get_attachment_url( $item['image'] ), 40, 40, true, true, true ); ?>"
                                                         alt="png">
                                                    <div class="basket-block__name">
                                                        <strong><? echo $item['name']; ?></strong>
                                                        <p><? echo $item['mail']; ?></p>
                                                    </div>
                                                </div>
                                                <div class="basket-block__price">
                                                    <span><? echo $item['summa']; ?></span>
                                                </div>
                                            </a>
										<? endforeach; ?>
                                    </div>
                                </div>
							<? endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>


	<?
	$terms = get_terms( 'type', [
		'hide_empty' => true,
	] );
	if ( $terms ):
		?>
        <section>
            <div class="container">
                <nav class="nav_menu_main">
                    <div class="nav_menu">
                        <ul>
							<?
							$p = get_terms( 'soft', [
								'hide_empty' => true,
							] );
							if ( $p ):
								?>
                                <li>
                                    <a href="javascript:;">Провайдеры </a>
                                    <ul class="nav_menu_drop">
										<?
										foreach ( $p as $p_item ):
											$icon = carbon_get_term_meta( $p_item->term_id, 'icon' );
											if ( $icon ) {
												$icon_src = wp_get_attachment_url( $icon );
											}
											?>
                                            <li><a href="<? echo get_term_link( $p_item->term_id, 'soft' ) ?>">
													<? if ( $icon_src ): ?>
                                                        <img src="<? echo $icon_src; ?>" alt="svg">
													<? endif; ?>
													<? echo $p_item->name ?> </a></li>
										<? endforeach;
										?>
                                    </ul>
                                </li>
							<? endif; ?>
							<?
							foreach ( $terms as $item ):

								?>
                                <li>
                                    <a href="<? echo get_term_link( $item->term_id, 'type' ) ?>"><? echo $item->name; ?></a>
                                </li>
							<? endforeach; ?>
                        </ul>
                    </div>
            </div>
        </section>
	<?php endif; ?>

    <section>
        <div class="container">
            <div class="games_vegas">
                <div class="games_vegas_main">
					<?
					wp_reset_query();
					$home_count = carbon_get_theme_option( 'home_count' );
					if ( ! $home_count ) {
						$home_count = 12;
					}
					$args  = [ 'post_type' => 'slots', 'posts_per_page' => $home_count ];
					$query = new WP_Query( $args );
					while ( $query->have_posts() ): $query->the_post();
						get_template_part( 'loop/slot_item' );
					endwhile; ?>
                </div>
            </div>
    </section>


    <section id="vegas_content">
        <div class="container">
            <div class="vegas_content">
				<?
				wp_reset_query();
				while ( have_posts() ):the_post();
					the_content();
				endwhile; ?>
            </div>
        </div>
    </section>
	<?php get_footer(); ?>
