<?php


//Slots

function create_slots() {


	$labels = array(
		'name'                  => 'Слоты',
		'singular_name'         => 'Слоты',
		'menu_name'             => 'Слоты',
		'name_admin_bar'        => 'Слоты',
		'archives'              => 'Архив слотов',
		'attributes'            => 'Аттрибуты',
		'parent_item_colon'     => 'Родительский элемент',
		'all_items'             => 'Все слоты',
		'add_new_item'          => 'Добавить слот',
		'add_new'               => 'Добавить слот',
		'new_item'              => 'Добвить слот',
		'edit_item'             => 'Изменить слот',
		'update_item'           => 'Обновить слот',
		'view_item'             => 'Посмотреть слот',
		'view_items'            => 'Посмотреть слот',
		'search_items'          => 'Поиск слот',
		'not_found'             => 'Ничего не найдено!',
		'not_found_in_trash'    => 'Ничего не найдено!',
		'featured_image'        => 'Миниатюра слота',
		'set_featured_image'    => 'Задать миниатюру слоту',
		'remove_featured_image' => 'Удалить миниатюру слота',
		'use_featured_image'    => 'Использовать как миниатюру слота',
		'insert_into_item'      => 'Встаавить',
		'uploaded_to_this_item' => 'Загрузить',
		'items_list'            => 'Список элементов',
		'items_list_navigation' => 'Список',
		'filter_items_list'     => 'Фильтр',
	);
	$args   = array(
		'label'               => 'Слоты',
		'description'         => 'Слоты',
		'labels'              => $labels,
		'supports'            => array( 'title', 'editor', 'comments', 'thumbnail' ),
		'hierarchical'        => false,
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'menu_position'       => 5,
		'menu_icon'           => 'dashicons-star-filled',
		'show_in_admin_bar'   => true,
		'show_in_nav_menus'   => true,
		'can_export'          => true,
		'has_archive'         => true,
		'exclude_from_search' => false,
		'publicly_queryable'  => true,
		'capability_type'     => 'page',

	);

	register_post_type( 'slots', $args );

}

add_action( 'init', 'create_slots', 0 );